import * as z from 'zod';
export const ServiceLineTransactionCreateResultSchema = z.object({
  id: z.number().int(),
  paymentId: z.number().int(),
  serviceLineId: z.number().int(),
  transactionId: z.string().optional(),
  paidAmount: z.number(),
  adjustedAmount: z.number(),
  method: z.unknown(),
  receivedDate: z.date(),
  payerName: z.string().optional(),
  notes: z.string().optional(),
  createdAt: z.date(),
  payment: z.unknown(),
  serviceLine: z.unknown()
});